use std::process;

use oyster_lineedit::readline;
use oyster_parser::ast::Code;
use oyster_runtime::{Shell, Status};

fn main() {
    let mut shell = Shell::new().unwrap();
    shell.builtins_mut().add_defaults();
    let mut exit_code = Status::SUCCESS;

    loop {
        let prog = readline("> ").unwrap();

        if prog.trim() == "exit" {
            break;
        }

        let ast = Code::try_from(prog.as_ref()).unwrap();
        exit_code = shell.run(&ast).unwrap();
    }

    process::exit(exit_code.0);
}
